vigra - vigra::FourNeighborhood Namespace Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| vigra::FourNeighborhood Namespace Reference Utilities to manage pixel neighborhoods |

## Classes
class | NeighborCode
| Encapsulation of direction management for 4-neighborhood. More...

## Typedefs
typedef NeighborCode::Direction | Direction

## Functions
Diff2D const & | east ()
Diff2D const & | north ()
Diff2D const & | south ()
Diff2D const & | west ()

## Variables
static const Direction | DirectionCount = NeighborCode::DirectionCount
static const Direction | East = NeighborCode::East
static const Direction | Error = NeighborCode::Error
static const Direction | North = NeighborCode::North
static const Direction | South = NeighborCode::South
static const Direction | West = NeighborCode::West

## Detailed Description

Utilities for 4-neighborhood.

## Typedef Documentation

typedef NeighborCode::Direction Direction

Export NeighborCode::Direction into the scope of namespace FourNeighborhood.

## Function Documentation

Diff2D const& vigra::FourNeighborhood::east | ( |  | ) |

Offset to the east neighbor

Diff2D const& vigra::FourNeighborhood::north | ( |  | ) |

Offset to the north neighbor

Diff2D const& vigra::FourNeighborhood::west | ( |  | ) |

Offset to the west neighbor

Diff2D const& vigra::FourNeighborhood::south | ( |  | ) |

Offset to the south neighbor

## Variable Documentation

const Direction Error = NeighborCode::Error
| static

Export NeighborCode::Error to namespace FourNeighborhood

const Direction East = NeighborCode::East
| static

Export NeighborCode::East to namespace FourNeighborhood

const Direction North = NeighborCode::North
| static

Export NeighborCode::North to namespace FourNeighborhood

const Direction West = NeighborCode::West
| static

Export NeighborCode::West to namespace FourNeighborhood

const Direction South = NeighborCode::South
| static

Export NeighborCode::South to namespace FourNeighborhood

const Direction DirectionCount = NeighborCode::DirectionCount
| static

Export NeighborCode::DirectionCount to namespace FourNeighborhood

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)